import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.Socket;
import java.util.logging.Level;
import java.util.logging.Logger;

public class Client {

    private static Logger log = Logger.getLogger(Client.class.getName());
    public static String host = "127.0.0.1";
    public static int port = 45000;

    public static void main(String[] args) throws Exception {
        int counter = 0;

        while (port != 46000) {
            log.log(Level.INFO, "trying to connect using port " + port);

            Socket socket = new Socket(host, port);
            BufferedReader in = new BufferedReader(new InputStreamReader(socket.getInputStream()));
            String fromServer = in.readLine();

            port = Integer.valueOf(fromServer);
            socket.close();
            counter++;
            if (counter > 50) {
                break;
            }
        }
        if (port == 46000) {
            Socket socket = new Socket(host, port);
            log.log(Level.INFO, "connected to the required port");
            BufferedReader in = new BufferedReader(new InputStreamReader(socket.getInputStream()));
            System.out.println(in.readLine());
        } else {
            log.log(Level.WARNING, "Runout of attempts to connect");
        }
    }
}
